diff -uNrd ircd-hybrid-5.3p7/Makefile.in ircd-hybrid-5.3p7-chain/Makefile.in
--- ircd-hybrid-5.3p7/Makefile.in	Mon Sep 29 11:35:21 1997
+++ ircd-hybrid-5.3p7-chain/Makefile.in	Sat Sep  2 04:11:58 2000
@@ -20,7 +20,7 @@
 RM=@RM@
 
 # Default CFLAGS
-CFLAGS= -g -O2 -D"FD_SETSIZE=1024"
+CFLAGS= -g -O2
 #
 # What I used on FreeBSD 2.1.7 with kernel compiled for 4096 descriptors
 # the -D"FD_SETSIZE=4096" is only needed if sys/types.h has not been updated
diff -uNrd ircd-hybrid-5.3p7/configure.in ircd-hybrid-5.3p7-chain/configure.in
--- ircd-hybrid-5.3p7/configure.in	Mon Sep 29 11:35:21 1997
+++ ircd-hybrid-5.3p7-chain/configure.in	Sat Sep  2 04:11:58 2000
@@ -67,7 +67,7 @@
 	if (f >= 0 && !(fcntl(f, F_SETFL, O_NONBLOCK))) {
 		signal(SIGALRM, alarmed);
 		alarm(3);
-		recvfrom(f, b, 12, 0, x, &l);
+		recvfrom(f, b, 12, 0, (struct sockaddr *)x, &l);
 		alarm(0);
 		exit(0);
 	}
diff -uNrd ircd-hybrid-5.3p7/include/common.h ircd-hybrid-5.3p7-chain/include/common.h
--- ircd-hybrid-5.3p7/include/common.h	Mon Sep 29 11:35:22 1997
+++ ircd-hybrid-5.3p7-chain/include/common.h	Sat Sep  2 04:11:58 2000
@@ -73,8 +73,8 @@
 #endif
 extern	void	flush_fdlist_connections();
 extern	int	matches (char *, char *);
-extern	int	mycmp (char *, char *);
-extern	int	myncmp (char *, char *, int);
+extern	int	mycmp (const char *, const char *);
+extern	int	myncmp (const char *, const char *, size_t);
 #if !defined( HAVE_STRTOK )
 extern	char	*strtok (char *, char *); 
 #endif
diff -uNrd ircd-hybrid-5.3p7/include/config.h ircd-hybrid-5.3p7-chain/include/config.h
--- ircd-hybrid-5.3p7/include/config.h	Wed Dec 23 18:56:47 1998
+++ ircd-hybrid-5.3p7-chain/include/config.h	Sat Sep  2 04:11:37 2000
@@ -61,7 +61,7 @@
  * over as needed, the FD_ISSET calculates the bitmask and array
  * offset every single time.
  */
-#define USE_FAST_FD_ISSET
+#undef USE_FAST_FD_ISSET
 
 /* DPATH SPATH CPATH MPATH KPATH - directoy and files locations
  * Full pathnames and defaults of irc system's support files. Please note that
@@ -117,7 +117,7 @@
  *
  * If you do not wish to use this feature, leave LOCKFILE #undef 
  */
-#define LOCKFILE "/tmp/ircd.conf.lock"
+#define LOCKFILE DPATH "ircd.conf.lock"
 #define	CHECK_PENDING_KLINES	10	/* in minutes */
 
 /* SEPARATE_QUOTE_KLINES_BY_DATE
@@ -144,8 +144,8 @@
  *
  * These need to be defined if you want to use SYSLOG logging, too.
  */
-#define FNAME_USERLOG "/usr/local/ircd/users" /* */
-#define FNAME_OPERLOG "/usr/local/ircd/opers" /* */
+#define FNAME_USERLOG DPATH "user.log" /* */
+#define FNAME_OPERLOG DPATH "oper.log" /* */
 
 /* FOLLOW_IDENT_RFC
  * 
@@ -249,7 +249,7 @@
  * will be added to the main ircd.conf
  */
 #ifdef KPATH
-#undef DLINES_IN_KPATH
+#define DLINES_IN_KPATH
 #endif /* KPATH */
 
 /* NO_LOCAL_KLINE - restrict QUOTE KLINE to global opers
@@ -518,7 +518,7 @@
  *
  * The default is no R_LINES as most people probably don't need it. --Jto
  */
-#undef	R_LINES
+#define R_LINES
 
 #ifdef	R_LINES
 /* R_LINES_REHASH R_LINES_OFTEN - when to check R: lines
@@ -531,7 +531,7 @@
  * bad, assuming the programs are fairly short.
  */
 #define R_LINES_REHASH
-#define R_LINES_OFTEN
+#undef R_LINES_OFTEN
 #endif
 
 /* CMDLINE_CONFIG - allow conf-file to be specified on command line
@@ -597,7 +597,7 @@
  * need not be the same for both, as long as hte opposite end has the
  * right password in the opposite line.
  */
-#undef	CRYPT_LINK_PASSWORD
+#define CRYPT_LINK_PASSWORD
 
 /* IDLE_FROM_MSG - Idle-time nullified only from privmsg
  * Idle-time nullified only from privmsg, if undefined idle-time
@@ -622,8 +622,8 @@
  * define IRC_UID to that UID.  This should only be defined if you are running
  * as root and even then perhaps not.
  */
-#define	IRC_UID 1001
-#define	IRC_GID 31
+#define	IRC_UID 53
+#define	IRC_GID 53
 
 /* CLIENT_FLOOD - client excess flood threshold
  * this controls the number of bytes the server will allow a client to
@@ -648,7 +648,7 @@
  * if there are no servers presently connected to this server
  * opers are not affected. 
  */
-#define NO_CHANOPS_WHEN_SPLIT
+#undef NO_CHANOPS_WHEN_SPLIT
 
 /*
  * comstud and I have both noted that solaris 2.5 at least, takes a hissy
diff -uNrd ircd-hybrid-5.3p7/include/struct.h ircd-hybrid-5.3p7-chain/include/struct.h
--- ircd-hybrid-5.3p7/include/struct.h	Wed Dec 23 18:56:50 1998
+++ ircd-hybrid-5.3p7-chain/include/struct.h	Sat Sep  2 04:11:58 2000
@@ -79,7 +79,7 @@
 
 #define HOSTIPLEN	15	/* Length of dotted quad form of IP	   */
 				/* - Dianora 				   */
-#define	NICKLEN		9	/* Necessary to put 9 here instead of 10
+#define	NICKLEN		15	/* Necessary to put 9 here instead of 10
 				** if s_msg.c/m_nick has been corrected.
 				** This preserves compatibility with old
 				** servers --msa
diff -uNrd ircd-hybrid-5.3p7/src/list.c ircd-hybrid-5.3p7-chain/src/list.c
--- ircd-hybrid-5.3p7/src/list.c	Sat Sep 19 01:03:18 1998
+++ ircd-hybrid-5.3p7-chain/src/list.c	Sat Sep  2 04:11:37 2000
@@ -49,7 +49,7 @@
    for smaller nets who knows? -Dianora
    */
 
-#define LINK_PREALLOCATE 1024
+#define LINK_PREALLOCATE 64
 
 /* Number of aClient structures to preallocate at a time
    for Efnet 1024 is reasonable 
@@ -60,7 +60,7 @@
    rather than 30k times -Dianora
 */
 
-#define CLIENTS_PREALLOCATE 1024
+#define CLIENTS_PREALLOCATE 64
 
 void	outofmemory();
 
diff -uNrd ircd-hybrid-5.3p7/src/match.c ircd-hybrid-5.3p7-chain/src/match.c
--- ircd-hybrid-5.3p7/src/match.c	Mon Sep 29 11:35:27 1997
+++ ircd-hybrid-5.3p7-chain/src/match.c	Sat Sep  2 04:11:58 2000
@@ -169,7 +169,7 @@
 **		<0, if s1 lexicographically less than s2
 **		>0, if s1 lexicographically greater than s2
 */
-int	mycmp(char *s1,char *s2)
+int	mycmp(const char *s1,const char *s2)
 {
   Reg	unsigned char	*str1 = (unsigned char *)s1;
   Reg	unsigned char	*str2 = (unsigned char *)s2;
@@ -185,7 +185,7 @@
   return (res);
 }
 
-int	myncmp(char *str1,char *str2,int n)
+int	myncmp(const char *str1,const char *str2,size_t n)
 {
   Reg	unsigned char	*s1 = (unsigned char *)str1;
   Reg	unsigned char	*s2 = (unsigned char *)str2;
diff -uNrd ircd-hybrid-5.3p7/tools/install_ircd ircd-hybrid-5.3p7-chain/tools/install_ircd
--- ircd-hybrid-5.3p7/tools/install_ircd	Mon Nov 16 22:40:53 1998
+++ ircd-hybrid-5.3p7-chain/tools/install_ircd	Sat Sep  2 04:11:58 2000
@@ -67,14 +67,14 @@
 if [ $base_CPATH = $CPATH ] ; then
   if [ ! -f ${DPATH}${CPATH} ] ; then
     echo installing example.conf as your ${DPATH}${CPATH};
-    ./install-sh -c doc/example.conf ${DPATH}${CPATH};
+    ./install-sh -c -m 0640 doc/example.conf ${DPATH}${CPATH};
   else
     echo You already have an ${DPATH}${CPATH}....;
   fi;
 else
   if [ ! -f $CPATH ] ; then
      echo installing example.conf as your ${CPATH};
-     ./install-sh -c doc/example.conf $CPATH;
+     ./install-sh -c -m 0640 doc/example.conf $CPATH;
   else
     echo You already have an ${CPATH} file...;
   fi;
@@ -122,22 +122,22 @@
 if [ $base_HPATH = $HPATH ] ; then
   if [ ! -f ${DPATH}${HPATH} ] ; then
     echo installing opers.txt as ${DPATH}${HPATH};
-    ./install-sh -c opers.txt ${DPATH};
+    ./install-sh -c -m 0644 opers.txt ${DPATH};
   else
      echo installing opers.txt as ${DPATH}${HPATH};
      echo previous opers.txt saved as opers.txt.old;
      mv ${DPATH}${HPATH} ${DPATH}${HPATH}.old;
-     ./install-sh -c opers.txt ${DPATH};
+     ./install-sh -c -m 0644 opers.txt ${DPATH};
   fi;
 else
   if [ ! -f $HPATH ] ; then
      echo installing opers.txt as ${HPATH};
-     ./install-sh -c opers.txt `dirname $HPATH`;
+     ./install-sh -c -m 0644 opers.txt `dirname $HPATH`;
   else
      echo installing opers.txt as ${HPATH};
      echo previous opers.txt saved as opers.txt.old;
      mv ${HPATH} ${HPATH}.old;
-     ./install-sh -c opers.txt `dirname $HPATH`;
+     ./install-sh -c -m 0644 opers.txt `dirname $HPATH`;
   fi;
 fi;
 
